<?xml version="1.0" encoding="UTF-8"?>
<ui>
  <menubar>
    <menu name="FileMenu" action="StockFileMenu">
      <menuitem name="NewWindow" action="NewWindow" />
      <menuitem name="NewTab" action="NewTab" />
      <separator name="file-sep1" />
      <menuitem name="Open" action="Open" />
      <menuitem name="OpenSelectedLinks" action="OpenSelectedLinks" />
      <separator name="file-sep2" />
      <menuitem name="SavePage" action="SavePage" />
      <separator name="file-sep3" />
      <menuitem name="Print" action="Print" />
      <separator name="file-sep4" />
      <menuitem name="CloseTab" action="CloseTab" />
      <menuitem name="CloseWindow" action="CloseWindow" />
    </menu>

    <menu name="EditMenu" action="StockEditMenu">
      <menuitem name="Cut" action="Cut" />
      <menuitem name="Copy" action="Copy" />
      <menuitem name="Paste" action="Paste" />
      <separator name="edit-sep1" />
      <menuitem name="CopyTitle" action="CopyTitle" />
      <menuitem name="CopyURL" action="CopyURL" />
      <separator name="edit-sep2" />
      <menuitem name="SelectAll" action="SelectAll" />
      <separator name="edit-sep3" />
      <menuitem name="Preference" action="Preference" />
      <menuitem name="DetailedPreference" action="DetailedPreference" />
      <separator name="edit-sep4" />
      <menuitem name="ToggleProxyUse" action="ToggleProxyUse" />
      <menuitem name="ProxyMenu" action="StockProxyMenu">
      </menuitem>
    </menu>

    <menu name="ViewMenu" action="StockViewMenu">
      <menuitem name="StopReload" action="StopReload" />
      <menuitem name="StopAll" action="StopAll" />
      <menuitem name="ReloadAll" action="ReloadAll" />
      <separator name="view-sep1" />
      <menuitem name="NormalTextSize" action="NormalTextSize" />
      <menuitem name="IncreaseTextSize" action="IncreaseTextSize" />
      <menuitem name="DecreaseTextSize" action="DecreaseTextSize" />
      <separator name="view-sep2" />
      <menuitem name="NormalSize" action="NormalSize" />
      <menuitem name="ZoomIn" action="ZoomIn" />
      <menuitem name="ZoomOut" action="ZoomOut" />
      <separator name="view-sep3" />
      <menuitem name="ViewPageSource" action="ViewPageSource" />
      <menuitem name="ShowPageCertificate" action="ShowPageCertificate" />
      <menuitem name="ShowHideSidebar" action="ShowHideSidebar" />
      <menu name="SidebarPosMenu" action="StockSidebarPosMenu">
        <menuitem name="SidebarPosLeft" action="SidebarPosLeft" />
        <menuitem name="SidebarPosRight" action="SidebarPosRight" />
        <menuitem name="SidebarPosTop" action="SidebarPosTop" />
        <menuitem name="SidebarPosBottom" action="SidebarPosBottom" />
      </menu>
      <menuitem name="ShowHideBookmarkbars" action="ShowHideBookmarkbars" />
      <placeholder name="EncodingPlaceholder" />
      <separator name="view-sep4" />
      <menu name="UILevelMenu" action="StockUILevelMenu">
        <menuitem name="UILevelBeginner" action="UILevelBeginner" />
        <menuitem name="UILevelMedium" action="UILevelMedium" />
        <menuitem name="UILevelExpert" action="UILevelExpert" />
      </menu>
      <separator name="view-sep5" />
      <menuitem name="ToggleFullScreen" action="ToggleFullScreen" />
      <separator name="view-sep6" />
      <menu name="SwitchLayoutEngineMenu" action="StockSwitchLayoutEngineMenu">
        <menuitem name="Gecko" action="Gecko" />
        <menuitem name="WebKit/GTK+" action="WebKit/GTK+" />
      </menu>
    </menu>

    <menu name="GoMenu" action="StockGoMenu">
      <menuitem name="Back" action="Back" />
      <menuitem name="Forward" action="Forward" />
      <menuitem name="GoUp" action="GoUp" />
      <menuitem name="PrevTab" action="PrevTab" />
      <menuitem name="NextTab" action="NextTab" />
      <menuitem name="Start" action="Start" />
      <menuitem name="Contents" action="Contents" />
      <menuitem name="Prev" action="Prev" />
      <menuitem name="Next" action="Next" />
      <menuitem name="Index" action="Index" />
    </menu>

    <menu name="BookmarksMenu" action="StockBookmarksMenu">
      <menuitem name="AddBookmark" action="AddBookmark" />
      <menuitem name="EditBookmarks" action="EditBookmarks" />
      <menu name="OtherBookmarksMenu" action="StockOtherBookmarksMenu">
        <menuitem name="EditBookmarkBars" action="EditBookmarkBars" />
        <menuitem name="EditSmartBookmarks" action="EditSmartBookmarks" />
      </menu>
      <menuitem name="OpenAllBookmarks" action="OpenAllBookmarks" />
      <separator name="bookmarks-sep1" />
    </menu>

    <menu name="TabMenu" action="StockTabMenu">
      <menuitem name="CloseAllInactiveTabs" action="CloseAllInactiveTabs" />
      <menuitem name="CloseAllBackwardTab" action="CloseAllBackwardTab" />
      <menuitem name="CloseAllForwardTab" action="CloseAllForwardTab" />
      <menuitem name="CloseAllTabs" action="CloseAllTabs" />
      <separator name="tab-sep1" />
      <menuitem name="CopyTab" action="CopyTab" />
      <separator name="tab-sep2" />
      <menuitem name="RecentCloseTabMenu" action="StockRecentCloseTabMenu">
      </menuitem>
      <separator name="tab-sep3" />
      <menu name="TabPosMenu" action="StockTabPosMenu">
        <menuitem name="TabPosTop" action="TabPosTop" />
        <menuitem name="TabPosBottom" action="TabPosBottom" />
        <menuitem name="TabPosLeft" action="TabPosLeft" />
        <menuitem name="TabPosRight" action="TabPosRight" />
      </menu>
    </menu>

    <menu name="ToolsMenu" action="StockToolsMenu">
      <menuitem name="ExtractLinks" action="ExtractLinks" />
      <separator name="tools-sep1" />
      <menu name="ClipMenu" action="StockClipMenu">
        <menuitem name="ClipSelection" action="ClipSelection" />
        <separator name="clip-sep1" />
      </menu>
      <separator name="tools-sep2" />
      <menu name="SessionMenu" action="StockSessionMenu">
        <menuitem name="SaveSession" action="SaveSession" />
        <menuitem name="RestoreSession" action="RestoreSession" />
      </menu>
      <separator name="tools-sep3" />
      <menu name="ExtensionMenu" action="StockExtensionMenu">
<!--
        <menuitem name="RubyDialog" action="RubyDialog" />
        <menuitem name="ReloadRuby" action="ReloadRuby" />
-->
      </menu>
    </menu>

    <menu name="HelpMenu" action="StockHelpMenu">
      <menuitem name="OpenKazehakaseWebsite" action="OpenKazehakaseWebsite" />
      <separator name="help-sep1" />
      <menuitem name="About" action="About" />
    </menu>
  </menubar>


  <toolbar name="MainToolBar">
    <toolitem name="CloseTab" action="CloseTab" />
    <toolitem name="Preference" action="Preference" />
    <separator name="main-toolbar-sep1" />
    <toolitem name="NavigationBack" action="NavigationBack" />
    <toolitem name="ForwardButton" action="Forward" />
    <toolitem name="GoUpButton" action="GoUp" />
    <toolitem name="StopReloadButton" action="StopReload"/>
    <toolitem name="Zoom" action="Zoom" />
    <toolitem name="LocationEntry" action="LocationEntry" />
    <toolitem name="GotoLocation" action="GotoLocation" />
    <placeholder name="SmartBookmark" />
  </toolbar>


  <!-- popups -->
    <popup name="DocumentPopup">
      <menuitem name="StopReload" action="StopReload"/>
      <menuitem name="Back" action="Back"/>
      <menuitem name="Forward" action="Forward"/>
      <separator name="document-pop-sep1"/>
      <menuitem name="OpenSmartBookmark" action="StockOpenSmartBookmark" />
      <separator name="document-pop-sep2"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="CopyInUserFormat" action="CopyInUserFormat"/>
      <separator name="document-pop-sep3"/>
      <menuitem name="ClipSelection" action="ClipSelection"/>
      <separator name="document-pop-sep4"/>
      <menuitem name="TabList" action="StockTabList">
      </menuitem>
      <menuitem name="EncodingMenu" action="StockEncodingMenu">
      </menuitem>
      <separator name="document-pop-sep5"/>
      <menuitem name="ViewPageSource" action="ViewPageSource" />
    </popup>

    <popup name="DocumentPopupinFrame">
      <menuitem name="StopReload" action="StopReload"/>
      <menuitem name="Back" action="Back"/>
      <menuitem name="Forward" action="Forward"/>
      <separator name="document-pop-sep1"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="CopyInUserFormat" action="CopyInUserFormat"/>
      <separator name="document-pop-sep2"/>
      <menuitem name="OpenThisFrame" action="OpenThisFrame"/>
      <separator name="document-pop-sep3"/>
      <menuitem name="ClipSelection" action="ClipSelection"/>
      <separator name="document-pop-sep4"/>
      <menuitem name="TabList" action="StockTabList">
      </menuitem>
      <menuitem name="EncodingMenu" action="StockEncodingMenu">
      </menuitem>
      <separator name="document-pop-sep4"/>
      <menuitem name="ViewPageSource" action="ViewPageSource" />
    </popup>

    <popup name="LinkPopup">
      <menuitem name="OpenLinkInNewTab" action="OpenLinkInNewTab"/>
      <menuitem name="OpenLinkInNewWindow" action="OpenLinkInNewWindow"/>
      <separator name="link-pop-sep1"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="CopyLinkLocation" action="CopyLinkLocation"/>
      <menuitem name="CopyInUserFormat" action="CopyInUserFormat"/>
      <menuitem name="SaveLink" action="SaveLink"/>
      <separator name="link-pop-sep2"/>
      <menuitem name="ClipSelection" action="ClipSelection"/>
<!--
      <separator name="link-pop-sep3"/>
      <menuitem name="InstallAsRubyExtension" action="InstallAsRubyExtension"/>
-->
    </popup>

    <popup name="ImagePopup">
      <menuitem name="CopyImageLocation" action="CopyImageLocation"/>
      <separator name="image-pop-sep1"/>
      <menuitem name="OpenImageInNewTab" action="OpenImageInNewTab"/>
      <menuitem name="OpenImageInNewWindow" action="OpenImageInNewWindow"/>
      <menuitem name="SaveImage" action="SaveImage"/>
      <separator name="image-pop-sep2"/>
      <menuitem name="ClipSelection" action="ClipSelection"/>
    </popup>

    <popup name="LinkImagePopup">
      <menuitem name="CopyLinkLocation" action="CopyLinkLocation"/>
      <menuitem name="OpenLinkInNewTab" action="OpenLinkInNewTab"/>
      <menuitem name="OpenLinkInNewWindow" action="OpenLinkInNewWindow"/>
      <menuitem name="SaveLink" action="SaveLink"/>
      <separator name="link-image-pop-sep1"/>
      <menuitem name="CopyImageLocation" action="CopyImageLocation"/>
      <menuitem name="CopyInUserFormat" action="CopyInUserFormat"/>
      <menuitem name="OpenImageInNewTab" action="OpenImageInNewTab"/>
      <menuitem name="OpenImageInNewWindow" action="OpenImageInNewWindow"/>
      <menuitem name="SaveImage" action="SaveImage"/>
      <separator name="link-image-pop-sep2"/>
      <menuitem name="ClipSelection" action="ClipSelection"/>
    </popup>

    <popup name="InputPopup">
      <menuitem name="Cut" action="Cut"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="Paste" action="Paste"/>
      <separator name="input-pop-sep1"/>
      <menuitem name="LaunchEditor" action="LaunchEditor" />
    </popup>

    <popup name="TabListPopup">
      <placeholder name="TabListPlaceholder" />
    </popup>

    <popup name="TabPopup">
      <menuitem name="TabReload" action="TabReload"/>
      <menuitem name="TabStop" action="TabStop"/>
      <separator name="tab-pop-sep1"/>
      <menuitem name="TabAddFeedBookmark" action="TabAddFeedBookmark"/>
      <separator name="tab-pop-sep2"/>
      <menuitem name="TabClose" action="TabClose"/>
      <menuitem name="TabCloseAllBackward" action="TabCloseAllBackward"/>
      <menuitem name="TabCloseAllForward" action="TabCloseAllForward"/>
      <menuitem name="TabCloseAllInactiveTabs" action="TabCloseAllInactiveTabs"/>
      <menuitem name="TabCloseAllSameSiteAsThis" action="TabCloseAllSameSiteAsThis"/>
      <menuitem name="TabCloseAllChild" action="TabCloseAllChild"/>
      <menuitem name="TabCloseAllTabs" action="TabCloseAllTabs"/>
      <separator name="tab-pop-sep3"/>
      <menuitem name="TabCopyTitle" action="TabCopyTitle"/>
      <menuitem name="TabCopyLocation" action="TabCopyLocation"/>
      <menuitem name="TabCopyTitleLocation" action="TabCopyTitleLocation"/>
      <menuitem name="CopyInUserFormat" action="CopyInUserFormat"/>
      <separator name="tab-pop-sep4"/>
      <menuitem name="TabCopy" action="TabCopy"/>
      <menuitem name="TabToggleLock" action="TabToggleLock"/>
      <separator name="tab-pop-sep5"/>
      <menuitem name="TabAutoRefresh" action="TabAutoRefresh"/>
      <separator name="tab-pop-sep6"/>
      <menuitem name="TabToggleJavascript" action="TabToggleJavascript"/>
      <menuitem name="TabToggleImages" action="TabToggleImages"/>
    </popup>

    <popup name="BookmarkPopup">
      <menuitem name="OpenBookmarkInNewTab" action="OpenBookmarkInNewTab" />
      <menuitem name="OpenAllBookmarks" action="OpenAllBookmarks" />
      <menuitem name="UpdateBookmarkFolder" action="UpdateBookmarkFolder" />
      <separator name="bookmark-pop-sep1"/>
      <menuitem name="AddBookmark" action="AddBookmark" />
      <menuitem name="AddFeedBookmark" action="AddFeedBookmark"/>
      <menuitem name="RemoveBookmark" action="RemoveBookmark" />
      <menuitem name="EditBookmarks" action="EditBookmarks" />
    </popup>
  <!-- /popups -->
</ui>
